DynamicMockError (jMock API Documentation)
Keywords: org.jmock.core.DynamicMockError class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.core
Class DynamicMockError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              junit.framework.AssertionFailedError
                  org.jmock.core.DynamicMockError

All Implemented Interfaces:
  Serializable

    public class DynamicMockError

extends AssertionFailedError

Since:
  1.0
See Also:
  Serialized Form

Field Summary
`InvocationDispatcher` | `dispatcher`
`DynamicMock` | `dynamicMock`
`Invocation` | `invocation`

Constructor Summary
`DynamicMockError(DynamicMock dynamicMock, Invocation invocation, InvocationDispatcher dispatcher, String message)`

Method Summary
`String` | `getMessage()`
`StringBuffer` | `writeTo(StringBuffer buffer)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dynamicMock

    public final DynamicMock dynamicMock

### invocation

    public final Invocation invocation

### dispatcher

    public final InvocationDispatcher dispatcher

Constructor Detail

### DynamicMockError

    public DynamicMockError(DynamicMock dynamicMock,
                            Invocation invocation,
                            InvocationDispatcher dispatcher,
                            String message)

Method Detail

### writeTo

    public StringBuffer writeTo(StringBuffer buffer)

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD